#include <sta/spi_interface.hpp>


namespace sta
{
	SpiInterface::SpiInterface(Mutex * mutex /* = nullptr */)
		: mutex_{mutex}
	{}

	void SpiInterface::acquire()
	{
		if (mutex_ != nullptr)
			mutex_->acquire();
	}

	void SpiInterface::release()
	{
		if (mutex_ != nullptr)
			mutex_->release();
	}
} // namespace sta
